Admin
Block user
POST
/api/v1/users/:id/blockBlocks a user account, preventing sign-in. Staff-only.
Requires Authorization
ADMIN, SUPPORT only
Authenticated action
Path parameters
idstringrequired | User ID. |
Body parameters
reasonstringrequired | Reason shown internally and referenced in the notification sent to the user. |
Request
curl --request POST \
--url https://api.swiftgoma.com/api/v1/users/:id/block \
--header 'Authorization: Bearer <access_token>' \
--header 'Content-Type: application/json' \
--data '{
"reason": "<reason>"
}'200Example response
{
"success": true,
"data": {
"id": "3f2a1c9e-7b41-4e2a-9c31-8e6b2d4f10aa",
"name": "Aline Mapendo",
"role": "BUYER",
"email": "aline@example.com",
"isEmailVerified": true,
"phone": "243812345678",
"isPhoneVerified": true,
"preferredCurrency": "USD",
"avatarUrl": "https://res.cloudinary.com/dx3wclabo/image/upload/v1/avatars/aline.jpg",
"isBlocked": true,
"createdAt": "2026-01-14T10:32:00.000Z"
}
}